Package weka.core

# Interface Summarizable

All Known Implementing Classes:
  `CVParameterSelection`, `Evaluation`, `GridSearch`, `J48`, `J48graft`, `NBTree`, `PART`

public interface Summarizable
Interface to something that provides a short textual summary (as opposed to toString() which is usually a fairly complete description) of itself.

Version:
  $Revision: 1.6 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`String`
`toSummaryString()`
Returns a string that summarizes the object.

## Method Details

### toSummaryString

String toSummaryString()
Returns a string that summarizes the object.

Returns:
  the object summarized as a string